org.apache.lucene.util.automaton

## Enum RegExp.Kind

- java.lang.Object
- - java.lang.Enum<RegExp.Kind>
  - - org.apache.lucene.util.automaton.RegExp.Kind

All Implemented Interfaces:
  Serializable, Comparable<RegExp.Kind>

Enclosing class:
  RegExp

    public static enum RegExp.Kind
    extends Enum<RegExp.Kind>

The type of expression represented by a RegExp node.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`REGEXP_ANYCHAR` Any Character allowed
`REGEXP_ANYSTRING` Any string allowed
`REGEXP_AUTOMATON` An Automaton expression
`REGEXP_CHAR` A Character
`REGEXP_CHAR_RANGE` A Character range
`REGEXP_COMPLEMENT` The complement of an expression
`REGEXP_CONCATENATION` A sequence of two expressions
`REGEXP_EMPTY` An empty expression
`REGEXP_INTERSECTION` The intersection of two expressions
`REGEXP_INTERVAL` An Interval expression
`REGEXP_OPTIONAL` An optional expression
`REGEXP_REPEAT` An expression that repeats
`REGEXP_REPEAT_MIN` An expression that repeats a minimum number of times
`REGEXP_REPEAT_MINMAX` An expression that repeats a minimum and maximum number of times
`REGEXP_STRING` A string expression
`REGEXP_UNION` The union of two expressions

### Method Summary

All Methods Static Methods Concrete Methods
`static RegExp.Kind` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RegExp.Kind[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### REGEXP_UNION

    public static final RegExp.Kind REGEXP_UNION

The union of two expressions

#### REGEXP_CONCATENATION

    public static final RegExp.Kind REGEXP_CONCATENATION

A sequence of two expressions

#### REGEXP_INTERSECTION

    public static final RegExp.Kind REGEXP_INTERSECTION

The intersection of two expressions

#### REGEXP_OPTIONAL

    public static final RegExp.Kind REGEXP_OPTIONAL

An optional expression

#### REGEXP_REPEAT

    public static final RegExp.Kind REGEXP_REPEAT

An expression that repeats

#### REGEXP_REPEAT_MIN

    public static final RegExp.Kind REGEXP_REPEAT_MIN

An expression that repeats a minimum number of times

#### REGEXP_REPEAT_MINMAX

    public static final RegExp.Kind REGEXP_REPEAT_MINMAX

An expression that repeats a minimum and maximum number of times

#### REGEXP_COMPLEMENT

    public static final RegExp.Kind REGEXP_COMPLEMENT

The complement of an expression

#### REGEXP_CHAR

    public static final RegExp.Kind REGEXP_CHAR

A Character

#### REGEXP_CHAR_RANGE

    public static final RegExp.Kind REGEXP_CHAR_RANGE

A Character range

#### REGEXP_ANYCHAR

    public static final RegExp.Kind REGEXP_ANYCHAR

Any Character allowed

#### REGEXP_EMPTY

    public static final RegExp.Kind REGEXP_EMPTY

An empty expression

#### REGEXP_STRING

    public static final RegExp.Kind REGEXP_STRING

A string expression

#### REGEXP_ANYSTRING

    public static final RegExp.Kind REGEXP_ANYSTRING

Any string allowed

#### REGEXP_AUTOMATON

    public static final RegExp.Kind REGEXP_AUTOMATON

An Automaton expression

#### REGEXP_INTERVAL

    public static final RegExp.Kind REGEXP_INTERVAL

An Interval expression

### Method Detail

#### values

    public static RegExp.Kind[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RegExp.Kind c : RegExp.Kind.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RegExp.Kind valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null